<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Reporting (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Reporting (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/ReportContainer.ImmutableViolationException.html" title="class in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/reporting/ReportingExtension.html" title="class in org.gradle.api.reporting"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/Reporting.html" target="_top">Frames</a></li>
<li><a href="Reporting.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.reporting</div>
<h2 title="Interface Reporting" class="title">Interface Reporting&lt;T extends <a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting">ReportContainer</a>&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The base type of the report container</dd></dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/gradle/api/plugins/quality/Checkstyle.html" title="class in org.gradle.api.plugins.quality">Checkstyle</a>, <a href="../../../../org/gradle/api/plugins/quality/CodeNarc.html" title="class in org.gradle.api.plugins.quality">CodeNarc</a>, <a href="../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality">FindBugs</a>, <a href="../../../../org/gradle/api/reporting/GenerateBuildDashboard.html" title="class in org.gradle.api.reporting">GenerateBuildDashboard</a>, <a href="../../../../org/gradle/api/reporting/dependencies/HtmlDependencyReportTask.html" title="class in org.gradle.api.reporting.dependencies">HtmlDependencyReportTask</a>, <a href="../../../../org/gradle/testing/jacoco/tasks/JacocoReport.html" title="class in org.gradle.testing.jacoco.tasks">JacocoReport</a>, <a href="../../../../org/gradle/api/plugins/quality/JDepend.html" title="class in org.gradle.api.plugins.quality">JDepend</a>, <a href="../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>, <a href="../../../../org/gradle/api/tasks/testing/Test.html" title="class in org.gradle.api.tasks.testing">Test</a>, <a href="../../../../org/gradle/nativeplatform/test/xctest/tasks/XcTest.html" title="class in org.gradle.nativeplatform.test.xctest.tasks">XcTest</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Reporting&lt;T extends <a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting">ReportContainer</a>&gt;</span></pre>
<div class="block">An object that provides reporting options.
 <p>
 Tasks that produce reports as part of their execution expose configuration options of those reports via these methods.
 The <code>Reporting</code> interface is parameterized, where the parameter denotes the specific type of reporting container
 that is exposed. The specific type of the reporting container denotes the different types of reports available.
 <p>
 For example, given a task such as:
 </p>
 <pre>
 class MyTask implements Reporting&lt;MyReportContainer&gt; {
     // implementation
 }

 interface MyReportContainer extends ReportContainer&lt;Report&gt; {
     Report getHtml();
     Report getCsv();
 }
 </pre>
 <p>
 The reporting aspects of such a task can be configured as such:
 </p>
 <pre>
 task my(type: MyTask) {
     reports {
         html.enabled = true
         csv.enabled = false
     }
 }
 </pre>
 <p>
 See the documentation for the specific <code>ReportContainer</code> type for the task for information on report types and options.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Reporting.html#getReports()">getReports</a></strong>()</code>
<div class="block">A <a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting"><code>ReportContainer</code></a> instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Reporting.html#reports(org.gradle.api.Action)">reports</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a>&gt;&nbsp;configureAction)</code>
<div class="block">Allow configuration of the report container by closure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Reporting.html#reports(groovy.lang.Closure)">reports</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Allow configuration of the report container by closure.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getReports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReports</h4>
<pre><a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a>&nbsp;getReports()</pre>
<div class="block">A <a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting"><code>ReportContainer</code></a> instance.
 <p>
 Implementors specify a specific implementation of <a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting"><code>ReportContainer</code></a> that describes the types of reports that
 are available.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="reports(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reports</h4>
<pre><a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a>&nbsp;reports(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/DelegatesTo.html?is-external=true" title="class or interface in groovy.lang">@DelegatesTo</a>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/DelegatesTo.html?is-external=true#type()" title="class or interface in groovy.lang">type</a>="T",<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/DelegatesTo.html?is-external=true#strategy()" title="class or interface in groovy.lang">strategy</a>=1)
        <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Allow configuration of the report container by closure.

 <pre>
 reports {
   html {
     enabled false
   }
   xml.destination "build/reports/myReport.xml"
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
<a name="reports(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reports</h4>
<pre><a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a>&nbsp;reports(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/reporting/Reporting.html" title="type parameter in Reporting">T</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Allow configuration of the report container by closure.

 <pre>
 reports {
   html {
     enabled false
   }
   xml.destination "build/reports/myReport.xml"
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The report container</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/ReportContainer.ImmutableViolationException.html" title="class in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/reporting/ReportingExtension.html" title="class in org.gradle.api.reporting"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/Reporting.html" target="_top">Frames</a></li>
<li><a href="Reporting.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
